<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\ReportReason;
use Illuminate\Http\Request;

class ReasonsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $rows = ReportReason::orderByDesc('id')->get();
        return view('admin.reasons.index', compact('rows'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.reasons.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
            'reason_ar' => 'required',
            'reason_en' => 'required'
        ]);
        $bank = new ReportReason();
        $bank['reason->ar'] = $request['reason_ar'];
        $bank['reason->en'] = $request['reason_en'];
        $bank->save();
        return redirect()->route('reasons.index')->with('message', 'تم اضافه البنك بنجاح');
    }

    /**
     * Display the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $row = ReportReason::find($id);
        return view('admin.reasons.edit', compact('row'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'reason_ar' => 'required',
            'reason_en' => 'required'
        ]);
        $reason = ReportReason::find($id);
        $reason['reason->ar'] = $request['reason_ar'];
        $reason['reason->en'] = $request['reason_en'];
        $reason->update();
        return redirect()->route('reasons.index')->with('message', 'تم تعديل البنك بنجاح');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        ReportReason::destroy($id);
        return redirect()->back()->with('message', 'تم الحذف بنجاح');
    }
}
