<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateUsersTable extends Migration {

	public function up()
	{
		Schema::create('users', function(Blueprint $table) {
			$table->increments('id');
			$table->string('name', 191)->nullable();
			$table->string('mobile', 191)->unique();
			$table->string('email', 191)->unique();
			$table->string('password', 191)->nullable();
			$table->integer('city_id')->unsigned()->nullable();
			$table->enum('type', array('user', 'admin'));
			$table->string('code', 191)->nullable();
			$table->enum('verification', array('true', 'false'))->nullable();
			$table->text('address')->nullable();
			$table->string('image', 191)->nullable();
			$table->string('image_cover', 191)->nullable();
			$table->string('whatsapp', 191)->nullable();
            $table->timestamp('email_verified_at')->nullable();
            $table->rememberToken();
            $table->timestamps();
		});
	}

	public function down()
	{
		Schema::drop('users');
	}
}
