<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateProductsTable extends Migration {

	public function up()
	{
		Schema::create('products', function(Blueprint $table) {
			$table->increments('id');
			$table->string('title', 191)->nullable();
			$table->string('description', 191)->nullable();
			$table->string('year', 191)->nullable();
			$table->string('color', 191)->nullable();
			$table->string('km', 191)->nullable();
			$table->integer('user_id')->unsigned();
			$table->integer('category_id')->unsigned();
			$table->integer('city_id')->unsigned()->nullable();
			$table->enum('fetis', array('manual', 'automatic'))->nullable();
			$table->enum('type', array('car', 'building'))->nullable();
			$table->enum('flag', array('rent', 'ownership'))->nullable();
			$table->string('number_seats', 191)->nullable();
			$table->string('code', 191)->nullable();
			$table->string('size', 191)->nullable();
			$table->string('address', 191)->nullable();
			$table->string('number_room', 191)->nullable();
			$table->string('number_floors', 191)->nullable();
			$table->timestamps();
		});
	}

	public function down()
	{
		Schema::drop('products');
	}
}
