@extends('admin.layout.master')
@section('title', 'الاعدادات')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الاعدادات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">الاعدادات</h4>
                @include('admin.layout.message')

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('setting.update',$row->id)}}"
                              enctype="multipart/form-data">
                            {{csrf_field()}}
                            @method('PATCH')

                            <div class="form-group">
                                <label for="exampleInputEmail1">عمولة السيارات</label>
                                <input type="number" class="form-control"
                                       value="{{$row->commission_car ? $row->commission_car : ''}}" required
                                       name="commission_car"
                                       id="exampleInputEmail1"
                                       placeholder="عمولة السيارات">
                                @if ($errors->has('commission_car'))
                                    <small class="text-danger">{{ $errors->first('commission_car') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">عمولة العقارات</label>
                                <input type="number" class="form-control"
                                       value="{{$row->commission_building ? $row->commission_building : ''}}" required
                                       name="commission_building"
                                       id="exampleInputEmail1"
                                       placeholder="عمولة العقارات">
                                @if ($errors->has('commission_building'))
                                    <small class="text-danger">{{ $errors->first('commission_building') }}</small>
                                @endif
                            </div>

                            <div class="form-group {{ $errors->has('police_ar') ? ' has-error' : '' }}">
                                <label for="police_ar">سياسة الخصوصية بالعربية</label>
                                <textarea class="form-control"
                                          name="police_ar" cols="50"
                                          rows="10">{{$row->police['ar'] ? $row->police['ar'] : ''}}</textarea>
                                @if ($errors->has('police_ar'))
                                    <small class="text-danger">{{ $errors->first('police_ar') }}</small>
                                @endif
                            </div>
                            <div class="form-group {{ $errors->has('police_en') ? ' has-error' : '' }}">
                                <label for="police_en">سياسة الخصوصية بالانجلزية</label>
                                <textarea class="form-control"
                                          name="police_en" cols="50"
                                          rows="10">{{$row->police['en'] ? $row->police['en'] : ''}}</textarea>
                                @if ($errors->has('police_en'))
                                    <small class="text-danger">{{ $errors->first('police_en') }}</small>
                                @endif
                            </div>
                            <div class="form-group {{ $errors->has('about_ar') ? ' has-error' : '' }}">
                                <label for="about_ar">من نحن بالعربية</label>
                                <textarea class="form-control"
                                          name="about_ar" cols="50"
                                          rows="10">{{$row->about['ar'] ? $row->about['ar'] : ''}}</textarea>
                                @if ($errors->has('about_ar'))
                                    <small class="text-danger">{{ $errors->first('about_ar') }}</small>
                                @endif
                            </div>
                            <div class="form-group {{ $errors->has('about_en') ? ' has-error' : '' }}">
                                <label for="about_en">من نحن بالعربية</label>
                                <textarea class="form-control"
                                          name="about_en" cols="50"
                                          rows="10">{{$row->about['en'] ? $row->about['en'] : ''}}</textarea>
                                @if ($errors->has('about_en'))
                                    <small class="text-danger">{{ $errors->first('about_en') }}</small>
                                @endif
                            </div>

                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
