@extends('admin.layout.master')
@section('title', 'مستخدمين')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">مستخدمين</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">إنشاء جديد</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('users.store')}}" enctype="multipart/form-data">
                            @csrf
                            <div class="form-group">
                                <label for="exampleInputEmail1">الإسم</label>
                                <input type="text" class="form-control" value="{{old('name')}}" required name="name"
                                       id="exampleInputEmail1"
                                       placeholder="الإسم">
                                @if ($errors->has('name'))
                                    <small class="text-danger">{{ $errors->first('name') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">البريد الألكترونى</label>
                                <input type="email" class="form-control" required value="{{old('email')}}" name="email"
                                       id="exampleInputEmail1"
                                       placeholder="البريد الألكترونى">
                                @if ($errors->has('email'))
                                    <small class="text-danger">{{ $errors->first('email') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">رقم الجوال</label>
                                <input type="text" class="form-control" required value="{{old('mobile')}}" name="mobile"
                                       id="exampleInputEmail1"
                                       placeholder="رقم الجوال">
                                @if ($errors->has('mobile'))
                                    <small class="text-danger">{{ $errors->first('mobile') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">واتساب</label>
                                <input type="text" class="form-control" required value="{{old('whatsapp')}}"
                                       name="whatsapp"
                                       id="exampleInputEmail1"
                                       placeholder="واتساب">
                                @if ($errors->has('whatsapp'))
                                    <small class="text-danger">{{ $errors->first('whatsapp') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">العنوان</label>
                                <input type="text" class="form-control" required value="{{old('address')}}"
                                       name="address"
                                       placeholder="العنوان">
                                @if ($errors->has('address'))
                                    <small class="text-danger">{{ $errors->first('address') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleSelect1">المدينة</label>
                                <select name="city_id" class="form-control" id="exampleSelect1">
                                    @foreach($cities as $city)
                                        <option value="{{$city->id}}">{{$city->name['ar']}}</option>
                                    @endforeach
                                </select>
                                @if ($errors->has('city_id'))
                                    <small class="text-danger">{{ $errors->first('city_id') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <div class="card-box">
                                    <h4 class="header-title mb-4">صورة</h4>
                                    <input type="file" name="image" class="dropify" data-height="300"/>
                                </div>
                                @if ($errors->has('image'))
                                    <small class="text-danger">{{ $errors->first('image') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <div class="card-box">
                                    <h4 class="header-title mb-4">صورة الخلفية</h4>
                                    <input type="file" name="image_cover" class="dropify" data-height="300"/>
                                </div>
                                @if ($errors->has('image_cover'))
                                    <small class="text-danger">{{ $errors->first('image_cover') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputPassword1">الرقم السري</label>
                                <input name="password" type="password" class="form-control"
                                       id="exampleInputPassword1" placeholder="الرقم السري"
                                       value="{{old('password')}}" required>
                                @if ($errors->has('password'))
                                    <small class="text-danger">{{ $errors->first('password') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleSelect1">الحالة</label>
                                <select name="status" class="form-control" id="exampleSelect1">
                                    <option value="active">مفعل</option>
                                    <option value="not_active">غير مفعل</option>
                                </select>
                                @if ($errors->has('status'))
                                    <small class="text-danger">{{ $errors->first('status') }}</small>
                                @endif
                            </div>

                            <button type="submit" class="btn btn-primary">حفظ</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
