<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

//Route::middleware('auth:api')->get('/user', function (Request $request) {
//    return $request->user();
//});
Route::group(['namespace' => 'Api'], function () {

    Route::post('login', 'UsersController@login');
    Route::post('register', 'UsersController@register');
    Route::post('account_verification', 'UsersController@account_verification');
    Route::post('check_forget_code', 'UsersController@check_forget_code');
    Route::post('forget_password', 'UsersController@forget_password');
    Route::post('change_password', 'UsersController@change_password');
    Route::get('banks', 'BanksController@banks');
    Route::post('calc_commission', 'BanksController@calc_commission');
    Route::post('transfer', 'BanksController@transfer');
    Route::get('reasons_report', 'DataController@reasons_report');
    Route::post('search', 'DataController@search');
    Route::get('questions', 'DataController@questions');
    Route::get('home/{type?}/{flag?}/{city_id?}', 'HomeController@home');
    Route::post('product_filter', 'ProductsController@product_filter');
    Route::get('categories_parent/{type?}', 'DataController@categories_parent');
    Route::get('sub_categories/{id?}', 'DataController@sub_categories');
    Route::get('pages', 'DataController@pages');
    Route::get('cities', 'DataController@cities');


    Route::group(['middleware' => ['jwt.verify']], function () {

        Route::post('logout', 'UsersController@logout');
        Route::post('update_profile', 'UsersController@update_profile');
        Route::get('single_product/{id?}', 'ProductsController@single_product');
        Route::get('similar_products/{id?}', 'ProductsController@similar_products');
        Route::post('report_product', 'ProductsController@report_product');
        Route::post('add_favourite', 'ProductsController@add_favourite');
        Route::get('my_favorite/{type?}', 'UsersController@my_favorite');
        Route::get('my_products', 'UsersController@my_products');
        Route::post('add_product', 'ProductsController@add_product');
        Route::post('delete_product/{id?}', 'ProductsController@delete_product');
        Route::post('edit_product/{id?}', 'ProductsController@edit_product');
        Route::post('delete_image_product/{id?}', 'ProductsController@delete_image_product');

    });
});
